Decode Dream Text
POST /esoteric/dreams/decode
POST
/esoteric/dreams/decode
Scan dream narrative text for known symbols. Returns matched symbols with their meanings (recurring or single-event).
Authorizations
Section titled “Authorizations ”Code Samples
Section titled “ Code Samples ”curl -X POST https://api.astroway.info/v1/esoteric/dreams/decode \ -H "X-Api-Key: aw_live_..." \ -H "Content-Type: application/json" \ -d '{ "text": "I was flying over a dark forest with a wolf running below", "recurring": false }'const res = await fetch('https://api.astroway.info/v1/esoteric/dreams/decode', { method: 'POST', headers: { 'X-Api-Key': process.env.ASTROWAY_API_KEY, 'Content-Type': 'application/json', }, body: JSON.stringify({ "text": "I was flying over a dark forest with a wolf running below", "recurring": false }),});const { ok, data, error } = await res.json();if (!ok) throw new Error(error.message);console.log(data);import os, requests
r = requests.post( 'https://api.astroway.info/v1/esoteric/dreams/decode', headers={'X-Api-Key': os.environ['ASTROWAY_API_KEY'], 'Content-Type': 'application/json'}, json={ 'text': "I was flying over a dark forest with a wolf running below", 'recurring': False },)result = r.json()if not result['ok']: raise RuntimeError(result['error']['message'])print(result['data'])<?phpuse GuzzleHttp\Client;
$client = new Client(['base_uri' => 'https://api.astroway.info/v1/']);$r = $client->post('esoteric/dreams/decode', [ 'headers' => ['X-Api-Key' => getenv('ASTROWAY_API_KEY')], 'json' => [ 'text' => 'I was flying over a dark forest with a wolf running below', 'recurring' => false, ],]);$result = json_decode($r->getBody(), true);if (!$result['ok']) throw new \RuntimeException($result['error']['message']);print_r($result['data']);Request Body required
Section titled “Request Body required ”object
Example
{ "text": "I was flying over a dark forest with a wolf running below", "recurring": false}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
text
string
symbolsFound
number
symbols
Array<object>
object
keyword
string
meaning
string
suggestion
string
Example
{ "ok": true, "data": { "text": "...", "symbolsFound": 3, "symbols": [ { "keyword": "flying", "meaning": "freedom, possibility, transcendence" }, { "keyword": "forest", "meaning": "unconscious exploration, mystery" }, { "keyword": "wolf", "meaning": "authentic instinct, loyalty" } ], "suggestion": "Integrate 3 symbols within emotional context of the dream." }}Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }} Корисно?
Дякуємо за фідбек.